default:
  tags:
    - shell
    - zvm

.rules_only_main_branch_manual:
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: manual
    - when: never

.environment_stop:
  environment:
    name: ${CI_PROJECT_NAME}/${CI_COMMIT_REF_SLUG}
    action: stop


stages:
  - prepare
  - build
  - deploy

show_env_vars:
  stage: prepare
  script:
    - env

environment_stop:
  stage: prepare
  allow_failure: true   # fix
  extends:
    - .rules_only_main_branch_manual
    - .environment_stop
  script:
    - echo "Environment stop"

build:
  stage: build
  script:
    - echo "Build"

deploy:
  stage: deploy
  script:
    - echo "Deploy"

